[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Emacspeak 37 Fails to Build on ArchLinux



I just downloaded the latest PKGBUILD from AUR to build latest prod
version of emacspeak. Basically outside of building an ArchLinux
compatible environment, the build script merely runs the standard
Makefile for emacspeak with a parameter of 8.6 for the TCL version.
Everything builds OK except for the info pages.  Since the makeinfo
fails, the overall make fails also.  I will paste in the relevant part
of a typescript capturing the warnings leading up to the failure.  I
don't see any obvious errors but a lot of warnings about something
missing.

Are there any clues to why the info pages won't build?
----- begin typescript exherpt -----
Script started on Tue 19 Mar 2013 10:12:52 PM PDT
steve@linlap ~/abs/aur/emacspeak$ makepkg
....... Everything before the info step compiled and installed into
proper directories. ........
cd info; \
make install DESTDIR="/home/steve/abs/aur/emacspeak/pkg" infodir="/usr/share/info"
make[1]: Entering directory `/home/steve/abs/aur/emacspeak/src/emacspeak-37.0/info'
makeinfo   emacspeak.texi -o emacspeak.info
./preamble.texi:3: @node seen before @end raggedright
./tts-server.texi:16: raising the section level of @subsection which is too low
./voices.texi:122: warning: node up `What this gives.' in menu `How It All Works.' and in sectioning `Voice Lock' differ
./packages.texi:31: warning: node `Web Browsing' is next for `Browsing Structure' in menu but not in sectioning
./web-browsing.texi:1: warning: node next `Web Browsing' in menu `emacspeak-w3' and in sectioning `Messaging' differ
./web-browsing.texi:1: warning: node `Browsing Structure' is prev for `Web Browsing' in menu but not in sectioning
./web-browsing.texi:1: warning: node up `Web Browsing' in menu `Browsing Structure' and in sectioning `Emacs Packages' differ
./packages.texi:54: warning: node `Editting Program Source' is next for `Messaging' in menu but not in sectioning
./packages.texi:77: warning: node `Development Environment' is next for `Editting Program Source' in menu but not in sectioning
./packages.texi:77: warning: node `Messaging' is prev for `Editting Program Source' in menu but not in sectioning
./packages.texi:109: warning: node `Desktop Management' is next for `Development Environment' in menu but not in sectioning
./packages.texi:109: warning: node `Editting Program Source' is prev for `Development Environment' in menu but not in sectioning
./packages.texi:129: warning: node `Personal Information Management' is next for `Desktop Management' in menu but not in sectioning
./packages.texi:129: warning: node `Development Environment' is prev for `Desktop Management' in menu but not in sectioning
./packages.texi:157: warning: node `Desktop Applications' is next for `Personal Information Management' in menu but not in sectioning
./packages.texi:157: warning: node `Desktop Management' is prev for `Personal Information Management' in menu but not in sectioning
./packages.texi:170: warning: node `Personal Information Management' is prev for `Desktop Applications' in menu but not in sectioning
make[1]: *** [emacspeak.info] Error 1
make[1]: Leaving directory `/home/steve/abs/aur/emacspeak/src/emacspeak-37.0/info'
make: *** [install] Error 2
==> ERROR: A failure occurred in package().
    Aborting...
steve@linlap ~/abs/aur/emacspeak$ exit
exit

Script done on Tue 19 Mar 2013 10:13:16 PM PDT

-----------------------------------------------------------------------------
To unsubscribe from the emacspeak list or change your address on the
emacspeak list send mail to "emacspeak-request@cs.vassar.edu" with a
subject of "unsubscribe" or "help".



If you have questions about this archive or had problems using it, please send mail to:

priestdo@cs.vassar.edu No Soliciting!

Emacspeak List Archive | 2010 | 2009 | 2008 | 2007 | 2006 | 2005 | 2004 | 2003 | 2002 | 2001 | 2000 | 1999 | 1998 | Pre 1998

Emacspeak Files | Emacspeak Blog | Search the archive